RubyGems Navigation menu

tty-prompt 0.18.1

A beautiful and powerful interactive command line prompt with a robust API for getting and validating complex inputs.

Versions:

  1. 0.21.0 - March 08, 2020 (43.5 KB)
  2. 0.20.0 - November 24, 2019 (71 KB)
  3. 0.19.0 - May 27, 2019 (70 KB)
  4. 0.18.1 - December 29, 2018 (64.5 KB)
  5. 0.18.0 - November 24, 2018 (64.5 KB)
Show all versions (30 total)

Runtime Dependencies (5):

  • necromancer ~> 0.4.0
  • pastel ~> 0.7.0
  • timers ~> 4.0
  • tty-cursor ~> 0.6.0
  • tty-reader ~> 0.5.0
  • Development Dependencies (3):

  • bundler < 2.0, >= 1.5.0
  • rake >= 0
  • rspec ~> 3.0
  • Owners:

    Authors:

    • Piotr Murach

    SHA 256 checksum:

    95c9bc8d70c6cb5aed5ae09914069e3db28b495c52787d4976c71e3f7fd654f2

    Total downloads 3,775,906

    For this version 910,658

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Links: